summaryrefslogtreecommitdiff
path: root/qa/432
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/432
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/432')
-rwxr-xr-xqa/43239
1 files changed, 39 insertions, 0 deletions
diff --git a/qa/432 b/qa/432
new file mode 100755
index 0000000..c4c49bd
--- /dev/null
+++ b/qa/432
@@ -0,0 +1,39 @@
+#!/bin/sh
+# PCP QA Test No. 432
+# pmlogreduce with aggregate and event type metrics
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+cat <<End-of-File >$tmp.config
+log advisory on 100 msec {
+ sample.event
+ sample.bin
+ sample.aggregate
+}
+End-of-File
+
+echo "Initial archive ..."
+pmlogger -c $tmp.config -s 3 $tmp
+pminfo -a $tmp | LC_COLLATE=POSIX sort
+
+echo
+echo "Reduced archive ..."
+pmlogreduce $tmp $tmp.reduce
+pminfo -a $tmp.reduce | LC_COLLATE=POSIX sort
+
+# success, all done
+exit